package com.ruoyi.liandao.dto.questionnaire;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.json.JSONObject;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.liandao.domain.QuestionnaireConfig;
import lombok.Data;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @Author : chenzhengyu
 * @create 2024/3/19 9:53
 */
@Data
public class QuestionnaireDto extends QuestionnaireConfig {
    /**
     * 选项集合
     */
    @JsonFormat
    private List<JSONObject> optionList;

    /**
     * 结果
     */
    private String result;


    public void setOptionList(List<String> optionList) {
        if(CollUtil.isEmpty(optionList)){
            return;
        }
        this.optionList = optionList.stream().map(data -> {
            JSONObject jsonObject = new JSONObject();
            jsonObject.set("option", data);
            return jsonObject;
        }).collect(Collectors.toList());
    }
}
